#include <iostream>

class TLorentzVector;

//----------------------------------------
void Print(const TLorentzVector *p, Char_t *msg="")
{
  cout << msg ;
  cout << "(" << p->Px() << "," << p->Py() ;
  cout << "," << p->Pz() << "," << p->E() << ")";
  cout << endl;
}

//----------------------------------------
void tclonesarray()
{
  gSystem->Load("libPhysics.so");

  const Int_t num=5;
  TClonesArray &clone=*(new TClonesArray("TLorentzVector",100));

  for(Int_t i=0;i<num;i++){
    Double_t ene=10*i;
    Double_t pz=ene;
    new(clone[i]) TLorentzVector(0.0, 0.0, pz, ene);
  }

  cout << "Number of entries is " << clone.GetEntries() <<endl;

  TLorentzVector *p3=(TLorentzVector*)clone->At(3);
  Print(p3,"P3=");

  TLorentzVector *p4=(TLorentzVector*)clone->UncheckedAt(4);
  Print(p4,"P4=");

  TIter next(&clone);
  TLorentzVector *v;
  while((v=(TLorentzVector*)next())) {
    cout << hex << v << " " ;
    Print(v);
  }

  // ------------ Reset
  clone.Clear();
  cout << "Number of entries is " << clone.GetEntries() <<endl;
  for(Int_t i=0;i<num;i++){
    Double_t ene=10*i;
    Double_t pz=ene;
    new(clone[i]) TLorentzVector(0.0, 0.0, pz, ene);
  }

  next.Reset();
  while((v=(TLorentzVector*)next())) {
    cout << hex << v << " " ;
    Print(v);
  }


}
