#include <iostream>

class TLorentzVector;

//----------------------------------------
void Print(const TLorentzVector *p, Char_t *msg="")
{
  cout << msg ;
  cout << "(" << p->Px() << "," << p->Py() ;
  cout << "," << p->Pz() << "," << p->E() << ")";
  cout << endl;
}

//----------------------------------------
void tobjarray()
{
  gSystem->Load("libPhysics.so");

  const Int_t num=5;
  TObjArray *array=new TObjArray();
  
  for(Int_t i=0;i<num;i++){
    Double_t ene=10*i;
    Double_t pz=ene;
    TLorentzVector *p=new TLorentzVector(0.0, 0.0, pz, ene);
    array->Add(p);
  }

  cout << "Number of entries is " << array->GetEntries() <<endl;

  TLorentzVector *p3=(TLorentzVector*)array->At(3);
  Print(p3,"P3=");

  TLorentzVector *p4=(TLorentzVector*)array->UncheckedAt(4);
  Print(p4,"P4=");

  TIter next(array);
  TLorentzVector *v;
  while((v=(TLorentzVector*)next())) {
    cout << hex << v << " " ;
    Print(v);
  }

  //
  array->Delete();
  cout << "Number of entries is " << array->GetEntries() <<endl;
  for(Int_t i=0;i<num;i++){
    Double_t ene=10*i;
    Double_t pz=ene;
    TLorentzVector *p=new TLorentzVector(0.0, 0.0, pz, ene);
    array->Add(p);
  }

  next.Reset();
  while((v=(TLorentzVector*)next())) {
    cout << hex << v << " " ;
    Print(v);
  }

}
