//
//  Read data from a file, and make a fit
//

Double_t FitFunc(Double_t x[], Double_t par[])
{
  // par[0], par[1], par[2] : parameter for first gaussian
  // par[3], par[4], par[5] : parameter for second gaussian

  Double_t xx=x[0];
  Double_t f1=(xx-par[1])*(xx-par[1])/(2.0*par[2]*par[2]);
  Double_t f2=(xx-par[4])*(xx-par[4])/(2.0*par[5]*par[5]);
  Double_t fsum=par[0]*TMath::Exp(-f1) 
              + par[3]*TMath::Exp(-f2);

  return fsum;
}

//
Int_t hist4()
{

  TFile *f=new TFile("hist3.root"); // Read only.

  TF1 *func=new TF1("func",FitFunc, -5, 5, 6);
  // func: function name
  // FitFunc: Function
  // -5, 5 :  X range
  // 6     : number of parameters

  // Set Initial parameters
  func->SetParameter(0, 100);
  func->SetParameter(1,  -4);
  func->SetParameter(2,   2);
  func->SetParameter(3, 100);
  func->SetParameter(4,   3);
  func->SetParameter(5,   2);
  func->SetLineColor(2);

  hpx->Fit("func");

  hpx->Draw();

}
