Int_t read_tree(Int_t flag=0)
{
  TFile *f=new TFile("tree.root");
  TTree *t=(TTree*)f->Get("TE");

  TFile *fout=0;
  if( flag == 0 ) {
    fout=new TFile("anal.root","RECREATE");
  }

  // Draw first histogram
  TCanvas *c1=new TCanvas("c1","First Canvas");
  c1->SetLogy();
  t->Draw("Dobl1","Dobl1<1000");
  if( fout == 0 ) {
    c1->Print("c1-file.root");
    c1->Close();
  }
  else {
    c1->Write();
  }

  // Draw second histogram
  gStyle->SetOptTitle(0);
  gStyle->SetOptStat(0);
  TCanvas *c2=new TCanvas("c2","Second Canvas");
  c2->SetFillColor(20);
  c2->SetFrameFillColor(17);

  t->Draw("Random>>rhist","Random<100");
  rhist->SetFillColor(31);
  cout << "Mean=" << rhist->GetMean() << endl;
  cout << "RMS =" << rhist->GetRMS()  << endl;

  TLatex *   tex = new TLatex(-4.7,650.0,"Landau distribution");
  tex->SetTextColor(37);
  tex->SetTextSize(0.1);
  tex->SetLineWidth(2);
  tex->Draw();
  c2->Modified();
  c2->cd();
  if( fout == 0 ) {
    c2->Print("c2-file.root");
    c2->Print("c2-eps.eps");
    c2->Print("c2-macro.C");
    c2->Close(); 
  }
  else {
    c2->Write();
  }
  f->Close();

}
  
